BHP150 | AZD 1222 - Bug #5382
Subject Requisition Q7
12/09/2021 14:16 - Coulson Kgathi

Status:
Priority:
Assignee:
Category:

Target version:

Resolved
Normal
Moses Chawawa

Start date:

Due date:

% Done:
Estimated time:
Spent time:

12/09/2021

0%
0.00 hour
0.00 hour

Description

Study site has to be options, these should be list of all sites we will be collecting data at

History

#1 - 13/09/2021 16:47 - ltumeleng Mosweu

- Assignee set to Moses Chawawa

#2 - 13/09/2021 17:59 - Moses Chawawa
- Status changed from New to In Progress

#3 - 13/09/2021 18:34 - Moses Chawawa
- Status changed from In Progress to Resolved

27/04/2025

1/1




